# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%add_findreq_skiplist %{python_sitelibdir_noarch}/*/migrate/versioning/templates/*
%define oldname python-migrate0.5
%define fedora 18
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname sqlalchemy-migrate

Name: python-module-migrate0.5
Version: 0.5.4
Release: alt1_4
Summary: Schema migration tools for SQLAlchemy

Group: Development/Python
License: MIT
URL: http://code.google.com/p/%{srcname}/
Source0: http://%{srcname}.googlecode.com/files/%{srcname}-%{version}.tar.gz
# Local patch to rename /usr/bin/migrate to sqlalchemy-migrate
Patch0: python-migrate-sqlalchemy-migrate.patch
Patch2: python-migrate0.5-SA0.5.patch


BuildArch: noarch
BuildRequires: python-devel
%if 0%{?rhel} && 0%{?rhel} <= 5
# sqlite is built into later python
BuildRequires: python-sqlite2
%endif
BuildRequires: python-module-setuptools
BuildRequires: python-module-nose
BuildRequires: python-module-sphinx
BuildRequires: python-module-decorator
Requires: python-module-decorator
%if 0%{?fedora}
# Fedora has SA-0.5 in a compat package
BuildRequires: python-module-sqlalchemy0.5
Requires: python-module-sqlalchemy0.5
%else
BuildRequires: python-module-SQLAlchemy
Requires: python-module-SQLAlchemy
%endif
Requires: python-module-setuptools
Source44: import.info

%description
Schema migration tools for SQLAlchemy designed to support an agile approach
to database design and make it easier to keep development and production
databases in sync as schema changes are required.  It allows you to manage
database change sets and database repository versioning.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .rename
%patch2 -p0 -b .sa05

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py bdist_egg

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
touch %{buildroot}%{python_sitelibdir_noarch}/easy-install.pth
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg
%{__mv} %{buildroot}%{_bindir}/sqlalchemy-migrate{,0.5}
%{__mv} %{buildroot}%{_bindir}/sqlalchemy-migrate-repository{,0.5}
%{__rm} %{buildroot}%{python_sitelibdir_noarch}/easy-install.pth

%files
%doc README CHANGELOG docs/
%{_bindir}/*
%{python_sitelibdir_noarch}/*

%changelog
* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_4
- initial fc import

